Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
Class LexerNode

Field Summary
`Map` | `children`
`Style` | `defaultStyle`
`List` | `groupList`
`boolean` | `initialized`
`CharBuffer` | `lastBuffer`
`Matcher` | `matcher`
`Map` | `styleMap`

Constructor Summary
`LexerNode(boolean isParent)`

Method Summary
`String` | `buildRegexp(def regexps)`
`Style` | `getDefaultStyle()`
`void` | `initialize()`
`boolean` | `isInitialized()`
`void` | `parse(CharBuffer buffer, int offset, int length)`
`void` | `putChild(String regexp, LexerNode node)`
`void` | `putChild(def regexps, LexerNode node)`
`void` | `putStyle(String regexp, Style style)`
`void` | `putStyle(def regexps, Style style)`
`void` | `removeChild(String regexp)`
`void` | `removeStyle(String regexp)`
`void` | `removeStyle(def regexps)`
`void` | `setDefaultStyle(Style style)`

Constructor Detail

### LexerNode

    public LexerNode(boolean isParent)

Method Detail

### buildRegexp

    String buildRegexp(def regexps)

### getDefaultStyle

    public Style getDefaultStyle()

### initialize

    void initialize()

### isInitialized

    public boolean isInitialized()

  return:
    true if initialised

### parse

    public void parse(CharBuffer buffer, int offset, int length)

  param:
    buffer
  param:
    offset
  param:
    length
  throws:
    BadLocationException

### putChild

    public void putChild(String regexp, LexerNode node)

  param:
    regexp
  param:
    node

### putChild

    public void putChild(def regexps, LexerNode node)

  param:
    regexps
  param:
    node

### putStyle

    public void putStyle(String regexp, Style style)

  param:
    regexp
  param:
    style

### putStyle

    public void putStyle(def regexps, Style style)

  param:
    regexps
  param:
    style

### removeChild

    public void removeChild(String regexp)

  param:
    regexp

### removeStyle

    public void removeStyle(String regexp)

  param:
    regexp

### removeStyle

    public void removeStyle(def regexps)

  param:
    regexps

### setDefaultStyle

    public void setDefaultStyle(Style style)